import * as React from 'react';
import { Table, Button, Header, Container } from 'semantic-ui-react';
import { ListContainer } from '@overflow/commons/react/component/ListContainer';

import History from '@overflow/history/api/model/History';

export interface StateProps {

}

export interface DispatchProps {

}

export type Props = StateProps & DispatchProps;

export interface State {
  sampleList: History[];
}


export class HistoryList extends React.Component<Props, State> {


  constructor(props: Props, context: State) {
    super(props, context);
    this.state = {
      sampleList: sampleHistory,
    };
  }

  public componentWillMount(): void {
    console.log('HistoryList');
  }

  public render(): JSX.Element {

    let historyList: JSX.Element = (
      <Container fluid>
        <Table celled selectable striped>
          <Table.Header>
            <Table.Row>
              <Table.HeaderCell textAlign={'center'}>No.</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>Status</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>Type</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>Message</Table.HeaderCell>
              <Table.HeaderCell textAlign={'center'}>CreateDate</Table.HeaderCell>
            </Table.Row>
          </Table.Header>

          <Table.Body>
            {this.state.sampleList ? this.state.sampleList.map((history: History, index: number) => (
              <Table.Row key={index} >
                <Table.Cell textAlign={'center'}>{index + 1}</Table.Cell>
                <Table.Cell textAlign={'center'}>
                  SP - PROCESS
                </Table.Cell>
                <Table.Cell><Header size='small'>SP - Target</Header></Table.Cell>
                <Table.Cell>Create Target</Table.Cell>
                <Table.Cell collapsing>{history.createDate}</Table.Cell>
              </Table.Row>
            )) : ''}
          </Table.Body>
          <Table.Footer>1 2 3 ...</Table.Footer>
        </Table>

      </Container>
    );

    return (
      <ListContainer
        contents={historyList}
        data={this.state.sampleList}
      />
    );

  }

}


const sampleHistory: any = [
  {
  'id':'1',
  'createDate':'1503287950244',
  },
  {
  'id':'2',
  'createDate':'1503287950344',
  },
  {
  'id':'3',
  'createDate':'1503287950444',
  },
  {
  'id':'4',
  'createDate':'1503287950544',
  },
  {
  'id':'5',
  'createDate':'1503287950644',
  },
  {
  'id':'6',
  'createDate':'1503287950744',
  },
  {
  'id':'7',
  'createDate':'1503287950844',
  },
  {
  'id':'8',
  'createDate':'1503287950944',
  },
];
